usermgmt::Role Interface Reference

Role management interface More...

`import"Role.idl";`

## Classes

struct | Info
| Role information More...
struct | Privilege
| A granted privilege. More...

## Public Member Functions

Info | getInfo ()
| Retrieve role information. More...
int | updateFull (in Info info)
| Change role settings. More...

## Public Attributes

constant int | ERR_INVALID_VALUE = 1
| Invalid arguments.

## Detailed Description

Role management interface

## Member Function Documentation

## getInfo()

Info usermgmt::Role::getInfo | ( |  | ) |

Retrieve role information.

Returns
  role info

## updateFull()

int usermgmt::Role::updateFull | ( | in Info | info | ) |

Change role settings.

Parameters

  info | New role information

Returns
  0 if OK
  1 if the role information is invalid

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Role.idl